Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.jai.util
Class JAIOpUtil

    java.lang.Object
      |
      +--com.vistech.jai.util.JAIOpUtil

public class JAIOpUtil
extends java.lang.Object

A utility class that provides a number of static methods, each of which applys a JAI operator.

Version:
  1.0 4 October 2000
Author:
  Lawrence Rodrigues

Constructor Summary
`JAIOpUtil()`

Method Summary
`static javax.media.jai.RenderedOp` | `addImages(javax.media.jai.PlanarImage image1, javax.media.jai.PlanarImage image2)`
`static javax.media.jai.RenderedOp` | `andImages(javax.media.jai.PlanarImage image1, javax.media.jai.PlanarImage image2)`
`static javax.media.jai.RenderedOp` | `boxFilterImage(javax.media.jai.PlanarImage image, int wid, int ht, java.awt.Point pixelPos)`
`static javax.media.jai.RenderedOp` | `compositeImages(javax.media.jai.PlanarImage sourceImage1, javax.media.jai.PlanarImage sourceImage2, boolean alphaPremultiplied, com.vistech.jai.util.CompositeDestAlpha destAlpha)`
`static javax.media.jai.RenderedOp` | `cropImage(javax.media.jai.PlanarImage image, java.awt.Rectangle rect)`
`static javax.media.jai.RenderedOp` | `cropImage(javax.media.jai.PlanarImage image, java.awt.geom.Rectangle2D rect)`
`static javax.media.jai.RenderedOp` | `DCTImage(javax.media.jai.PlanarImage image)`
`static javax.media.jai.RenderableOp` | `DCTImage(javax.media.jai.RenderableOp image)`
`static javax.media.jai.RenderedOp` | `DFTImage(javax.media.jai.PlanarImage image, com.vistech.jai.util.DFTScalingType scalingType, com.vistech.jai.util.DFTDataNature dataNature)`
`static javax.media.jai.RenderedOp` | `DFTImage(javax.media.jai.PlanarImage image, java.lang.Integer scalingType, java.lang.Integer dataNature)`
`static javax.media.jai.RenderedOp` | `divideImages(javax.media.jai.PlanarImage image1, javax.media.jai.PlanarImage image2)`
`static javax.media.jai.RenderedOp` | `expImage(javax.media.jai.PlanarImage image)`
`static javax.media.jai.RenderableOp` | `InverseDCTImage(javax.media.jai.RenderableOp image)`
`static javax.media.jai.RenderedOp` | `inverseDCTImage(javax.media.jai.RenderedOp image)`
`static javax.media.jai.RenderedOp` | `inverseDFTImage(javax.media.jai.RenderedOp image, com.vistech.jai.util.DFTScalingType scalingType, com.vistech.jai.util.DFTDataNature dataNature)`
`static javax.media.jai.RenderedOp` | `inverseDFTImage(javax.media.jai.RenderedOp image, java.lang.Integer scalingType, java.lang.Integer dataNature)`
`static javax.media.jai.RenderedOp` | `logImage(javax.media.jai.PlanarImage image)`
`static javax.media.jai.RenderableOp` | `magnitudeImage(javax.media.jai.RenderableOp image)`
`static javax.media.jai.RenderedOp` | `magnitudeImage(javax.media.jai.RenderedOp image)`
`static javax.media.jai.RenderableOp` | `magnitudeSquaredImage(javax.media.jai.RenderableOp image)`
`static javax.media.jai.RenderedOp` | `magnitudeSquaredImage(javax.media.jai.RenderedOp image)`
`static javax.media.jai.RenderedOp` | `maxImages(javax.media.jai.PlanarImage image1, javax.media.jai.PlanarImage image2)`
`static javax.media.jai.RenderedOp` | `medianFilterImage(javax.media.jai.PlanarImage image, com.vistech.jai.util.MedianFilterShape maskShape, int maskSize)`
`static javax.media.jai.RenderedOp` | `minImages(javax.media.jai.PlanarImage image1, javax.media.jai.PlanarImage image2)`
`static javax.media.jai.RenderedOp` | `multiplyImages(javax.media.jai.PlanarImage image1, javax.media.jai.PlanarImage image2)`
`static javax.media.jai.RenderedOp` | `notImage(javax.media.jai.PlanarImage image1)`
`static javax.media.jai.RenderedOp` | `orImages(javax.media.jai.PlanarImage image1, javax.media.jai.PlanarImage image2)`
`static javax.media.jai.RenderedOp` | `overlayImages(javax.media.jai.PlanarImage image1, javax.media.jai.PlanarImage image2)`
`static javax.media.jai.RenderableOp` | `periodicShiftImage(javax.media.jai.RenderableOp image, int shiftX, int shiftY)`
`static javax.media.jai.RenderedOp` | `periodicShiftImage(javax.media.jai.RenderedOp image, int shiftX, int shiftY)`
`static javax.media.jai.RenderableOp` | `phaseImage(javax.media.jai.RenderableOp image)`
`static javax.media.jai.RenderedOp` | `phaseImage(javax.media.jai.RenderedOp image)`
`static javax.media.jai.RenderedOp` | `polarToComplexImage(javax.media.jai.RenderedOp mag, javax.media.jai.RenderedOp phase)`
`static javax.media.jai.RenderedOp` | `subtractImages(javax.media.jai.PlanarImage image1, javax.media.jai.PlanarImage image2)`
`static javax.media.jai.RenderedOp` | `xorImages(javax.media.jai.PlanarImage image1, javax.media.jai.PlanarImage image2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JAIOpUtil

    public JAIOpUtil()

Method Detail

### addImages

    public static javax.media.jai.RenderedOp addImages(javax.media.jai.PlanarImage image1,
                                                       javax.media.jai.PlanarImage image2)

### subtractImages

    public static javax.media.jai.RenderedOp subtractImages(javax.media.jai.PlanarImage image1,
                                                            javax.media.jai.PlanarImage image2)

### multiplyImages

    public static javax.media.jai.RenderedOp multiplyImages(javax.media.jai.PlanarImage image1,
                                                            javax.media.jai.PlanarImage image2)

### divideImages

    public static javax.media.jai.RenderedOp divideImages(javax.media.jai.PlanarImage image1,
                                                          javax.media.jai.PlanarImage image2)

### andImages

    public static javax.media.jai.RenderedOp andImages(javax.media.jai.PlanarImage image1,
                                                       javax.media.jai.PlanarImage image2)

### orImages

    public static javax.media.jai.RenderedOp orImages(javax.media.jai.PlanarImage image1,
                                                      javax.media.jai.PlanarImage image2)

### xorImages

    public static javax.media.jai.RenderedOp xorImages(javax.media.jai.PlanarImage image1,
                                                       javax.media.jai.PlanarImage image2)

### notImage

    public static javax.media.jai.RenderedOp notImage(javax.media.jai.PlanarImage image1)

### minImages

    public static javax.media.jai.RenderedOp minImages(javax.media.jai.PlanarImage image1,
                                                       javax.media.jai.PlanarImage image2)

### maxImages

    public static javax.media.jai.RenderedOp maxImages(javax.media.jai.PlanarImage image1,
                                                       javax.media.jai.PlanarImage image2)

### overlayImages

    public static javax.media.jai.RenderedOp overlayImages(javax.media.jai.PlanarImage image1,
                                                           javax.media.jai.PlanarImage image2)

### compositeImages

    public static javax.media.jai.RenderedOp compositeImages(javax.media.jai.PlanarImage sourceImage1,
                                                             javax.media.jai.PlanarImage sourceImage2,
                                                             boolean alphaPremultiplied,
                                                             com.vistech.jai.util.CompositeDestAlpha destAlpha)

### logImage

    public static javax.media.jai.RenderedOp logImage(javax.media.jai.PlanarImage image)

### expImage

    public static javax.media.jai.RenderedOp expImage(javax.media.jai.PlanarImage image)

### cropImage

    public static javax.media.jai.RenderedOp cropImage(javax.media.jai.PlanarImage image,
                                                       java.awt.Rectangle rect)

### cropImage

    public static javax.media.jai.RenderedOp cropImage(javax.media.jai.PlanarImage image,
                                                       java.awt.geom.Rectangle2D rect)

### boxFilterImage

    public static javax.media.jai.RenderedOp boxFilterImage(javax.media.jai.PlanarImage image,
                                                            int wid,
                                                            int ht,
                                                            java.awt.Point pixelPos)

### medianFilterImage

    public static javax.media.jai.RenderedOp medianFilterImage(javax.media.jai.PlanarImage image,
                                                               com.vistech.jai.util.MedianFilterShape maskShape,
                                                               int maskSize)

### DFTImage

    public static javax.media.jai.RenderedOp DFTImage(javax.media.jai.PlanarImage image,
                                                      java.lang.Integer scalingType,
                                                      java.lang.Integer dataNature)

### inverseDFTImage

    public static javax.media.jai.RenderedOp inverseDFTImage(javax.media.jai.RenderedOp image,
                                                             java.lang.Integer scalingType,
                                                             java.lang.Integer dataNature)

### DCTImage

    public static javax.media.jai.RenderedOp DCTImage(javax.media.jai.PlanarImage image)

### inverseDCTImage

    public static javax.media.jai.RenderedOp inverseDCTImage(javax.media.jai.RenderedOp image)

### magnitudeImage

    public static javax.media.jai.RenderedOp magnitudeImage(javax.media.jai.RenderedOp image)

### magnitudeSquaredImage

    public static javax.media.jai.RenderedOp magnitudeSquaredImage(javax.media.jai.RenderedOp image)

### phaseImage

    public static javax.media.jai.RenderedOp phaseImage(javax.media.jai.RenderedOp image)

### periodicShiftImage

    public static javax.media.jai.RenderedOp periodicShiftImage(javax.media.jai.RenderedOp image,
                                                                int shiftX,
                                                                int shiftY)

### polarToComplexImage

    public static javax.media.jai.RenderedOp polarToComplexImage(javax.media.jai.RenderedOp mag,
                                                                 javax.media.jai.RenderedOp phase)

### DFTImage

    public static javax.media.jai.RenderedOp DFTImage(javax.media.jai.PlanarImage image,
                                                      com.vistech.jai.util.DFTScalingType scalingType,
                                                      com.vistech.jai.util.DFTDataNature dataNature)

### inverseDFTImage

    public static javax.media.jai.RenderedOp inverseDFTImage(javax.media.jai.RenderedOp image,
                                                             com.vistech.jai.util.DFTScalingType scalingType,
                                                             com.vistech.jai.util.DFTDataNature dataNature)

### DCTImage

    public static javax.media.jai.RenderableOp DCTImage(javax.media.jai.RenderableOp image)

### InverseDCTImage

    public static javax.media.jai.RenderableOp InverseDCTImage(javax.media.jai.RenderableOp image)

### magnitudeImage

    public static javax.media.jai.RenderableOp magnitudeImage(javax.media.jai.RenderableOp image)

### magnitudeSquaredImage

    public static javax.media.jai.RenderableOp magnitudeSquaredImage(javax.media.jai.RenderableOp image)

### phaseImage

    public static javax.media.jai.RenderableOp phaseImage(javax.media.jai.RenderableOp image)

### periodicShiftImage

    public static javax.media.jai.RenderableOp periodicShiftImage(javax.media.jai.RenderableOp image,
                                                                  int shiftX,
                                                                  int shiftY)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD